# Collection Object

> Source: https://elaichi.ai/docs/api-reference/collections/collection/

Schema for the `Collection` resource in **Collections**.

_No documented properties._

## Methods

- [GET /collection/{id}/rows/{rowId}/history](/docs/api-reference/collections/collection/listcollectionrowhistory) — List the versions of a row
- [GET /collection/{id}/rows/{rowId}/history/{version}](/docs/api-reference/collections/collection/getcollectionrowversion) — Get one version of a row
- [POST /collection/{id}/rows/{rowId}/restore](/docs/api-reference/collections/collection/restorecollectionrowversion) — Restore a row to an earlier version
- [GET /collection](/docs/api-reference/collections/collection/listcollections) — List collections
- [POST /collection](/docs/api-reference/collections/collection/createcollection) — Create a collection
- [GET /collection/{id}](/docs/api-reference/collections/collection/getcollection) — Get a collection
- [PATCH /collection/{id}](/docs/api-reference/collections/collection/updatecollection) — Update a collection name or description
- [DELETE /collection/{id}](/docs/api-reference/collections/collection/deletecollection) — Delete a collection
- [POST /collection/{id}/schema](/docs/api-reference/collections/collection/changecollectionschema) — Change a collection schema
- [POST /collection/{id}/transfer](/docs/api-reference/collections/collection/transfercollection) — Transfer ownership of a collection
- [POST /collection/{id}/share](/docs/api-reference/collections/collection/sharecollection) — Share a collection
- [GET /collection/{id}/share](/docs/api-reference/collections/collection/listcollectionshares) — List a collection shares
- [DELETE /collection/{id}/share/{aclId}](/docs/api-reference/collections/collection/revokecollectionshare) — Revoke a collection share
- [GET /collection/{id}/references](/docs/api-reference/collections/collection/listcollectionreferences) — List workflows and dashboards that reference a collection
- [POST /collection/{id}/rows/query](/docs/api-reference/collections/collection/querycollectionrows) — Query collection rows
- [GET /collection/{id}/rows/{rowId}](/docs/api-reference/collections/collection/getcollectionrow) — Get one row
- [PATCH /collection/{id}/rows/{rowId}](/docs/api-reference/collections/collection/updatecollectionrow) — Patch one row
- [DELETE /collection/{id}/rows/{rowId}](/docs/api-reference/collections/collection/deletecollectionrow) — Delete one row
- [POST /collection/{id}/rows](/docs/api-reference/collections/collection/insertcollectionrows) — Insert rows
- [POST /collection/{id}/rows/upsert](/docs/api-reference/collections/collection/upsertcollectionrows) — Upsert rows by the declared unique key
- [POST /collection/{id}/rows/delete](/docs/api-reference/collections/collection/deletecollectionrows) — Delete rows by id, or one page of the rows a selector matches
- [POST /collection/{id}/rows/update](/docs/api-reference/collections/collection/updatecollectionrows) — Update rows in bulk: a value per row, or set/set_expr over a selector
- [POST /collection/{id}/aggregate](/docs/api-reference/collections/collection/aggregatecollection) — Summarize collection rows
- [GET /collection/{id}/table](/docs/api-reference/collections/collection/listcollectiontables) — List the tables in a collection
- [POST /collection/{id}/table](/docs/api-reference/collections/collection/createcollectiontable) — Add a table to a collection
- [GET /collection/{id}/table/{tableKey}](/docs/api-reference/collections/collection/getcollectiontable) — Get one table
- [PATCH /collection/{id}/table/{tableKey}](/docs/api-reference/collections/collection/updatecollectiontable) — Rename a table or change its description
- [DELETE /collection/{id}/table/{tableKey}](/docs/api-reference/collections/collection/deletecollectiontable) — Delete a table and its rows
- [POST /collection/{id}/table/{tableKey}/schema](/docs/api-reference/collections/collection/changecollectiontableschema) — Change a table schema
- [POST /collection/{id}/table/{tableKey}/rows/query](/docs/api-reference/collections/collection/querycollectionrowsintable) — Query collection rows (one table)
- [GET /collection/{id}/table/{tableKey}/rows/{rowId}](/docs/api-reference/collections/collection/getcollectionrowintable) — Get one row (one table)
- [PATCH /collection/{id}/table/{tableKey}/rows/{rowId}](/docs/api-reference/collections/collection/updatecollectionrowintable) — Patch one row (one table)
- [DELETE /collection/{id}/table/{tableKey}/rows/{rowId}](/docs/api-reference/collections/collection/deletecollectionrowintable) — Delete one row (one table)
- [POST /collection/{id}/table/{tableKey}/rows](/docs/api-reference/collections/collection/insertcollectionrowsintable) — Insert rows (one table)
- [POST /collection/{id}/table/{tableKey}/rows/upsert](/docs/api-reference/collections/collection/upsertcollectionrowsintable) — Upsert rows by the declared unique key (one table)
- [POST /collection/{id}/table/{tableKey}/rows/delete](/docs/api-reference/collections/collection/deletecollectionrowsintable) — Delete rows by id, or one page of the rows a selector matches (one table)
- [POST /collection/{id}/table/{tableKey}/rows/update](/docs/api-reference/collections/collection/updatecollectionrowsintable) — Update rows in bulk: a value per row, or set/set_expr over a selector (one table)
- [POST /collection/{id}/table/{tableKey}/aggregate](/docs/api-reference/collections/collection/aggregatecollectionintable) — Summarize collection rows (one table)
- [GET /collection/{id}/table/{tableKey}/rows/{rowId}/history](/docs/api-reference/collections/collection/listcollectionrowhistoryintable) — List the versions of a row (one table)
- [GET /collection/{id}/table/{tableKey}/rows/{rowId}/history/{version}](/docs/api-reference/collections/collection/getcollectionrowversionintable) — Get one version of a row (one table)
- [POST /collection/{id}/table/{tableKey}/rows/{rowId}/restore](/docs/api-reference/collections/collection/restorecollectionrowversionintable) — Restore a row to an earlier version (one table)
